<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_af9f5df6df6e4ab6fd53" . "18e899627078" => base64_decode("ZG9jdW1lbnRfdHlwZQ" . "=="), "_374bf250a2cd00d5f5742fea" . "7c487197" => base64_decode("ZG9jdW" . "1lbnRf" . "dGl0bG" . "U="));
use Claromentis\Core\Event\GenericEvent;


class ViewDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_374bf250a2c" . "d00d5f5742fe" . "a7c487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_af9f5df6df6e4ab6f" . "d5318e899627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}